package com.yc.education.service;

import com.yc.education.mapper.NewsCenterMapper;
import com.yc.education.model.NewsCenter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-23 11:45
 */

public interface INewsCenterService  extends  IService<NewsCenter>{

    //前台  查询所有新闻信息 并分页
    List<NewsCenter> listAllNews(Integer id,Integer pageNum,Integer pageSize);

    //前台  左下角根据类别id查该类别的所有新闻
    List<NewsCenter> listAllNews(Integer id);

    //后台  查询所有新闻信息 分页并管理
    List<NewsCenter> manageAllNews(Integer id,String title,Integer pageNum,Integer pageSize);

    //后台  批量删除新闻信息
    int deleteNewsArray(int [] newsArray);

    //后台管理 根据分类id查询该类别下的所有资讯信息总数 来进行判断类别下还有没有信息
    int findCountNews(Integer id);

    //后台管理 根据批量删除选中的id查询所有资讯信息,来判断类别下还有没有信息
    int listCountNews(int [] typeArray);

}
